- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_Elm_Button_Data Struct Reference
Widgets Extension Infrastructure

Base widget smart data extended with button instance data. More...

## Data Fields
double | ar_initial_timeout
| Time to wait until first auto-repeated click is generated.
double | ar_gap_timeout
| Time frame for subsequent auto-repeated clicks, after the first automatic one is triggerred.
Ecore_Timer * | timer
| Internal timer object for auto-repeat behavior.
Eina_Bool | autorepeat: 1
| Whether auto-repetition of clicks is enabled or not (bound to _Elm_Button_Smart_Class::admits_autorepeat)
Eina_Bool | repeating: 1
| Whether auto-repetition is going on.

## Detailed Description

Base widget smart data extended with button instance data.